::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------

set ciosversion=21005
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=5-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=8900a5b4dd5ced0212023a51875589d1
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=16a165f77c8e256667db68f24dfc1fdb
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=c49cb0467e8c9f5789d68fccca51ec71
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=21c4587678f4f76c5f47b6818d47135c
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=7f622e9b87ac8579fe18df6fe7a10965
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=670013e859aa30723484ca302603c761
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=b1852f0cccff84aae7c77c3950dabdbb
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=9eeb218ca8164df81606f5e22bdd706d
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=e96a209d04dd780d5bab2767dd21ff0f
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=58141572b4323a54c425579492bf3336
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=6f6b3510078335812dbd81529d85560b
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=22a0fd0b9fb3bec98d0a4fb997ef1171
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=c57c279cf6cb9a0a1347a1524b170937
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=4abe4cb081e1f627f0cf75ca6961920f
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=d470467a5868ae9975c40c35e6eb6e15
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=40be95c7dc1d71aac8779f4187632773
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=8075001e30271e1ebe99a4134e5b84c7
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=f5fb7ab529e1a8f0c658d0a95ec9505a
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=c3d4a439615ca053cd1a2410a55cdcd3
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=65e85c6786a46b6c31f868495be9039d
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=f2d4ae838b3ef7cb2db998b0cbabee78
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=20627a684cf0e624e167d3909d1f18e1
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=7da4ed4f2e05dfdd6fbe4864b2b8d9f3
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=506f0f13bf7b5bccdaf41c5fd9ef52c0
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=a4057c275a2a7f34e5b6743cc10935cf
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=96852e64ce2ea5b0cc1352b65b4655f7
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=cd223314ab683ec3c3c7b43e4ce357ce
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=96adf00c1964c31aafc58cb1304aa211
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=4102c6dd37039a7749616392639bd750
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=cc42f4d4292f52d23378c3ec3a55ac0f
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=b56f94e6ace7d6b65665dd1bb7210954
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=159675b568cfaefca958f1834aadfb5f
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

